Summary: A free Socks v4/v5 client implementation
Name: dante
Version: 1.1.6
Release: 6
Copyright: BSD-type
Group: Applications/System
URL: http://www.inet.no/dante/
Source: ftp://ftp.inet.no/pub/socks/dante-%{version}.tar.gz
Source1: sockd.init
Buildroot: %{_tmppath}/dante-root


%description
Dante is a free implementation of the proxy protocols socks version 4,
socks version 5 (rfc1928) and msproxy. It can be used as a firewall
between networks. It is being developed by Inferno Nettverk A/S, a
Norwegian consulting company. Commercial support is available.

This package contains the dynamic libraries required to "socksify"
existing applications to become socks clients.

%package server
Summary: A free Socks v4/v5 server implementation
Group: System Environment/Daemons
Requires: dante

%description server
This package contains the socks proxy daemon and its documentation.
The sockd is the server part of the Dante socks proxy package and
allows socks clients to connect through it to the network.

%package devel
Summary: development libraries for socks
Group: Development/Libraries
Requires: dante

%description devel
Additional libraries required to compile programs that use socks.

%prep
%setup -q

%build
cp %{SOURCE1} .
%configure
make

%install
rm -rf ${RPM_BUILD_ROOT}
%makeinstall

#set library as executable - prevent ldd from complaining
chmod +x ${RPM_BUILD_ROOT}%{_libdir}/*.so.*.*

install -d ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d ${RPM_BUILD_ROOT}%{_bindir}

install -m 644 example/socks-simple.conf ${RPM_BUILD_ROOT}%{_sysconfdir}/socks.conf
install -m 644 example/sockd.conf ${RPM_BUILD_ROOT}%{_sysconfdir}

install -m 755 sockd.init ${RPM_BUILD_ROOT}%{_sysconfdir}/rc.d/init.d/sockd

%clean
rm -rf $RPM_BUILD_ROOT

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%post server
/sbin/chkconfig --add sockd

%preun server
if [ $1 = 0 ]; then
   /sbin/service sockd stop > /dev/null 2>&1
   /sbin/chkconfig --del sockd
fi

%postun server
/sbin/ldconfig
if [ "$1" -ge "1" ]; then
    /sbin/service sockd condrestart > /dev/null 2>&1
fi

%files
%defattr(-,root,root)
%doc BUGS CREDITS INSTALL LICENSE NEWS README SUPPORT TODO doc/README* doc/rfc* doc/SOCKS4.protocol doc/faq.tex example/socks.conf example/socks-simple-withoutnameserver.conf example/sockd.conf example/socks-simple.conf
%{_libdir}/libsocks.so.0.1.0
%{_libdir}/libsocks.so.0
%{_libdir}/libsocks.so
%{_libdir}/libdsocks.so.0.1.0
%{_libdir}/libdsocks.so.0
%{_libdir}/libdsocks.so
%{_bindir}/socksify
%{_mandir}/man5/socks.conf.5*
%config %{_sysconfdir}/socks.conf

%files server
%defattr(-,root,root)
%{_mandir}/man8/sockd.8*
%{_sbindir}/sockd
%{_mandir}/man5/sockd.conf.5*
%config %{_sysconfdir}/sockd.conf
%config %{_sysconfdir}/rc.d/init.d/sockd

%files devel
%defattr(-,root,root)
%{_libdir}/libsocks.la
%{_libdir}/libsocks.a
%{_libdir}/libdsocks.la

%changelog
* Tue Feb 27 2001 Tim Powers <timp@redhat.com>
- another fix to the initscript where there wasn't an [ $RETVAL -eq 0 ]

* Tue Feb  6 2001 Tim Powers <timp@redhat.com>
- fixed bug 26296 where the RETVAL in the initscript was being munged
  at build time. Using an actual file instead of cat'ing it in.

* Tue Jan 23 2001 Tim Powers <timp@redhat.com>
- fix initscripts so that it's easier to internationalize

* Thu Jan  4 2001 Tim Powers <timp@redhat.com>
- fixed bad file ownership in devel package

* Mon Dec 11 2000 Tim Powers <timp@redhat.com>
- changed the initscript a bit, added condrestart too
- quiet setup
- changed two of the groups
- added the condrestart stuff to the preun and postun sections
- using %%configure and %%makeinstall

* Thu Oct 12 2000 Karl-Andre' Skevik <karls@inet.no>
-use of macros for directory locations/paths
-explicitly name documentation files
-run chkconfig --del before files are deleted on uninstall

* Wed Mar 10 1999 Karl-Andre' Skevik <karls@inet.no>
- Integrated into CVS
- socksify patch no longer needed

* Thu Mar 04 1999 Oren Tirosh <oren@hishome.net>
- configurable %{prefix}, fixed daemon init script
- added /lib/libdl.so to socksify

* Wed Mar 03 1999 Oren Tirosh <oren@hishome.net>
- First spec file for Dante
